package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.entity.node.EntityInfo;
import com.diagbot.facade.EntityInfoFacade;
import com.diagbot.vo.EntityInfoVO;
import com.diagbot.vo.EntityPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/14 16:15
 */
@RestController
@RequestMapping("/entityman")
@Api(value = "知识图谱标准术语维护相关API", tags = { "知识图谱标准术语维护相关API" })
@SuppressWarnings("unchecked")
public class EntityInfoController {
    @Autowired
    EntityInfoFacade entityInfoFacade;

    @ApiOperation(value = "分页查询[zhaops]",
            notes = "number:页码<br>" +
                    "size:每页条目数<br>" +
                    "name:术语名称（模糊匹配）<br>" +
                    "labelType:术语类型-知识图谱标签类型（String）<br>" +
                    "is_kl:静态知识标志（0-无，1-有）<br>" +
                    "status:启用禁用标志（0-禁用，1-启用）<br>")
    @PostMapping("/getEntityPage")
    public RespDTO<EntityInfo> getEntityPage(@RequestBody EntityPageVO entityPageVO) {
        Page<EntityInfo> data = entityInfoFacade.getEntityPage(entityPageVO);
        return RespDTO.onSuc(data);
    }

    @ApiOperation(value = "唯一键校验[zhaops]",
            notes = "name:术语名称（模糊匹配）<br>" +
                    "labelType:术语类型-知识图谱标签类型（String）<br>")
    @PostMapping("/isExist")
    public RespDTO<Boolean> isExist(@RequestBody EntityInfoVO entityInfoVO) {
        Boolean data = entityInfoFacade.isExist(entityInfoVO);
        return RespDTO.onSuc(data);
    }
}